<template>
    <div>
        <h1>List post</h1>

        <PostCard v-for="post in tenPosts" 
            :key="post.id" 
            :post="post" />
    </div>
</template>

<script lang="ts">
import Post from '../models/Post';
import PostCard from '../components/PostCard.vue'
import { Component, Prop, Vue } from 'vue-property-decorator';
import PostService from '../services/domain/PostService'

@Component({
    components: {PostCard}
})
export default class Api extends Vue {
  @Prop() private msg!: string;
  posts: Post[] = [];  

  get tenPosts() : Post[]{
    return this.posts.splice(90, 10)
  }

  async created() : Promise<void>{
    this.posts = await PostService.getList();
    let post = this.posts[0]
    const p2: Post = Object.create(Post.prototype);
    post = Object.assign(p2, post);

    console.log(post);
  }
}
</script>